#!/usr/bin/python
# -*- encoding: utf-8 -*-
import unittest
from ..blocos import bloco_arquivo
from ..bloco_0 import *


class TestBloco0(unittest.TestCase):
    def test_reg0000(self):
        _qtd_colunas = 14
        reg0000 = bloco_arquivo.registro_0000()
        reg0000.REG = '0000'
        reg0000.COD_VER = '003'
        reg0000.TIPO_ESCRIT = '0'
        reg0000.DT_INI = '01032015'
        reg0000.DT_FIN = '01032015'
        reg0000.NOME = 'REDE BONZAO DE SUPERMERCADOS LTDA'
        reg0000.CNPJ = '20834336000167'
        reg0000.UF = 'MG'
        reg0000.COD_MUN = '3167202'
        reg0000.IND_ATIV = '2'
        self.assertEqual(_qtd_colunas, len(reg0000.fieldnames))
        self.assertTrue(reg0000.write_line())

    def test_reg0001(self):
        _qtd_colunas = 2
        reg0001 = bloco_0.registro_0001()
        reg0001.REG = '0001'
        self.assertEqual(_qtd_colunas, len(reg0001.fieldnames))
        self.assertTrue(reg0001.write_line())

    def test_reg0100(self):
        _qtd_colunas = 14
        reg0100 = bloco_0.registro_0100()
        reg0100.REG = '0100'
        self.assertEqual(_qtd_colunas, len(reg0100.fieldnames))
        self.assertTrue(reg0100.write_line())

    def test_reg0110(self):
        _qtd_colunas = 5
        reg0110 = bloco_0.registro_0110()
        reg0110.REG = '0110'
        self.assertEqual(_qtd_colunas, len(reg0110.fieldnames))
        self.assertTrue(reg0110.write_line())

    def test_reg0111(self):
        _qtd_colunas = 6
        reg0111 = bloco_0.registro_0111()
        reg0111.REG = '0111'
        self.assertEqual(_qtd_colunas, len(reg0111.fieldnames))
        self.assertTrue(reg0111.write_line())

    def test_reg0120(self):
        _qtd_colunas = 3
        reg0120 = bloco_0.registro_0120()
        reg0120.REG = '0120'
        self.assertEqual(_qtd_colunas, len(reg0120.fieldnames))
        self.assertTrue(reg0120.write_line())

    def test_reg0140(self):
        _qtd_colunas = 9
        reg0140 = bloco_0.registro_0140()
        reg0140.REG = '0140'
        self.assertEqual(_qtd_colunas, len(reg0140.fieldnames))
        self.assertTrue(reg0140.write_line())

    def test_reg0145(self):
        _qtd_colunas = 6
        reg0145 = bloco_0.registro_0145()
        self.assertEqual(_qtd_colunas, len(reg0145.fieldnames))
        self.assertTrue(reg0145.write_line())

    def test_reg0150(self):
        _qtd_colunas = 13
        reg0150 = bloco_0.registro_0150()
        self.assertEqual(_qtd_colunas, len(reg0150.fieldnames))
        self.assertTrue(reg0150.write_line())

    def test_reg0190(self):
        _qtd_colunas = 3
        reg0190 = bloco_0.registro_0190()
        self.assertEqual(_qtd_colunas, len(reg0190.fieldnames))
        self.assertTrue(reg0190.write_line())

    def test_reg0200(self):
        _qtd_colunas = 12
        reg0200 = bloco_0.registro_0200()
        self.assertEqual(_qtd_colunas, len(reg0200.fieldnames))
        self.assertTrue(reg0200.write_line())

    def test_reg0205(self):
        _qtd_colunas = 5
        reg205 = bloco_0.registro_0205()
        self.assertEqual(_qtd_colunas, len(reg205.fieldnames))
        self.assertTrue(reg205.write_line())

    def test_reg0206(self):
        _qtd_colunas = 2
        reg206 = bloco_0.registro_0206()
        self.assertEqual(_qtd_colunas, len(reg206.fieldnames))
        self.assertTrue(reg206.write_line())

    def test_reg0208(self):
        _qt_colunas = 4
        reg208 = bloco_0.registro_0208()
        self.assertEqual(_qt_colunas, len(reg208.fieldnames))
        self.assertTrue(reg208.write_line())

    def test_reg0400(self):
        _qt_colunas = 3
        reg0400 = bloco_0.registro_0400()
        self.assertEqual(_qt_colunas, len(reg0400.fieldnames))
        self.assertTrue(reg0400.write_line())

    def test_reg0450(self):
        _qt_colunas = 3
        reg0450 = bloco_0.registro_0450()
        self.assertEqual(_qt_colunas, len(reg0450.fieldnames))
        self.assertTrue(reg0450.write_line())

    def test_reg0500(self):
        _qt_colunas = 9
        reg0500 = bloco_0.registro_0500()
        self.assertEqual(_qt_colunas, len(reg0500.fieldnames))
        self.assertTrue(reg0500.write_line())

    def test_reg0600(self):
        _qt_colunas = 4
        reg0600 = bloco_0.registro_0600()
        self.assertEqual(_qt_colunas, len(reg0600.fieldnames))
        self.assertTrue(reg0600.write_line())

    def test_reg0990(self):
        _qt_colunas = 2
        reg0990 = bloco_0.registro_0990()
        self.assertEqual(_qt_colunas, len(reg0990.fieldnames))
        self.assertTrue(reg0990.write_line())







